Skip to content

Request

Security
Bearer
Path
quote-idstring, (uuid)required

The unique identifier of the quote to retrieve

Example:22222222-aaaa-2222-bbbb-222222222222
curl -i -X GET \
  https://docs.ripple.com/_mock/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/v2/quotes/22222222-aaaa-2222-bbbb-222222222222 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Valid quote found

Bodyapplication/json
quoteIdstring, (uuid), [ 1 .. 36 ] charactersrequired

Unique ID that represents this quote.

Example:"7ea3399c-1234-5678-8d8f-d320ea406630"
quoteStatusstringrequired
Enum ValueDescription
EXPIRED

Expired quote

ACTIVE

Quote that you can accept to create a payment.

Example:"ACTIVE"
quoteAmountTypestring

The type of amount for which you want to get a quote.

Default:"SOURCE_AMOUNT"
Enum ValueDescription
SOURCE_AMOUNT

Specify this value to get a quote for the amount that you want to send.

DESTINATION_AMOUNT

Specify this value to get a quote for the amount that the beneficiary should receive.

sourceAmountnumber, (double), [ 1 .. 100000000 ]

Amount to be sent by the originator. The value is rounded to the number of decimal places defined by the ISO 4217 standard for the source currency (for example, 2 for USD/EUR, 0 for JPY/KRW, 3 for BHD/KWD), using HALF_UP rounding mode.

Example:123.45
destinationAmountnumber, (double), [ 1 .. 100000000 ]

Amount to be received by the beneficiary. The value is rounded to the number of decimal places defined by the ISO 4217 standard for the destination currency (for example, 2 for USD/EUR, 0 for JPY/KRW, 3 for BHD/KWD), using HALF_UP rounding mode.

Example:2438.19
sourceCurrencystring^[a-zA-Z]{3,5}$required

The currency code of the currency that you are sending.

Example:"USD"
destinationCurrencystring^[a-zA-Z]{3,5}$required

The currency code of the currency in which your beneficiary will receive this payment.

Example:"MXN"
sourceCountrystring^[a-zA-Z]{2}$

The country where the payment originator is located or incorporated, specified in Alpha-2 Code format as defined in the ISO CountryCode ISO 3166-1 list.

Example:"US"
destinationCountrystring^[a-zA-Z]{2}$

The country code to which you wish to send the funds. It follows ISO 3166-1 alpha-2 code

Example:"MX"
payoutCategorystring, [ 1 .. 128 ] charactersrequired

Name of the payout category specified in the quote request.

Example:"BANK"
payinCategorystring, [ 1 .. 128 ] charactersrequired

The name of payin category specified in the quote request.

Example:"PRE_FUNDING"
adjustedExchangeRateobject

Foreign Exchange (FX) rate used to calculate the quote.

feesArray of objects

A summary of fees included in this quote.

taxesArray of objects

A summary of taxes included in this quote.

createdAtstring, (date-time), [ 1 .. 128 ] characters

The time when this quote was created, specified in UTC.

Example:"2023-11-02T18:26:00.000123Z"
expiresAtstring, (date-time), [ 1 .. 128 ] characters

The time when this quote expires, specified in UTC.

Example:"2023-11-02T18:26:00.000123Z"
destinationBlockchainNetworkstring, [ 1 .. 20 ] characters

The name of the blockchain network on which the beneficiary will receive this payment.

Example:"Ethereum"
Response
{ "quoteId": "7ea3399c-1234-5678-8d8f-d320ea406630", "quoteStatus": "ACTIVE", "quoteAmountType": "SOURCE_AMOUNT", "sourceAmount": 123.45, "destinationAmount": 2438.19, "sourceCurrency": "USD", "destinationCurrency": "MXN", "sourceCountry": "US", "destinationCountry": "MX", "payoutCategory": "BANK", "payinCategory": "PRE_FUNDING", "adjustedExchangeRate": { "adjustedRate": 2 }, "fees": [ { … } ], "taxes": [ { … } ], "createdAt": "2023-11-02T18:26:00.000123Z", "expiresAt": "2023-11-02T18:26:00.000123Z", "destinationBlockchainNetwork": "Ethereum" }